<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLContainersEdge2Sided&lt; idType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classEdge2Sided-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLContainersEdge2Sided&lt; idType &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__data__structures.html">Data Structures</a> &#124; <a class="el" href="group__core.html">Core Classes</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>core edge class with information about the two sides  
 <a href="classEdge2Sided.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglContainersEdge2Sided_8hpp_source.html">tiglContainersEdge2Sided.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for TIGLContainersEdge2Sided&lt; idType &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classEdge2Sided.png" usemap="#TIGLContainersEdge2Sided&lt; idType &gt;_map" alt=""/>
  <map id="TIGLContainersEdge2Sided&lt; idType &gt;_map" name="TIGLContainersEdge2Sided&lt; idType &gt;_map">
<area href="classEdgeBase.html" title="core edge class " alt="TIGLContainersEdgeBase&lt; idType &gt;" shape="rect" coords="0,0,142,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8b91eb052d4cce7df295e9ea599b54ae"><td class="memItemLeft" align="right" valign="top">idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdge2Sided.html#a8b91eb052d4cce7df295e9ea599b54ae">getSrc</a> ()</td></tr>
<tr class="separator:a8b91eb052d4cce7df295e9ea599b54ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a468d9e0f1ae4095252e08da15e63836c"><td class="memItemLeft" align="right" valign="top">idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdge2Sided.html#a468d9e0f1ae4095252e08da15e63836c">getTarget</a> ()</td></tr>
<tr class="separator:a468d9e0f1ae4095252e08da15e63836c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8208f698b0018a5cf9b279c44d91627e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdge2Sided.html#a8208f698b0018a5cf9b279c44d91627e">operator&lt;</a> (<a class="el" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>&lt; idType &gt; &amp;rhs)</td></tr>
<tr class="memdesc:a8208f698b0018a5cf9b279c44d91627e"><td class="mdescLeft">&#160;</td><td class="mdescRight">less than operator definition for edge list comparisons  <a href="#a8208f698b0018a5cf9b279c44d91627e">More...</a><br /></td></tr>
<tr class="separator:a8208f698b0018a5cf9b279c44d91627e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab32add2ef8f19258b3e3b71256b93b55"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab32add2ef8f19258b3e3b71256b93b55"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdge2Sided.html#ab32add2ef8f19258b3e3b71256b93b55">operator==</a> (<a class="el" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>&lt; idType &gt; &amp;rhs)</td></tr>
<tr class="memdesc:ab32add2ef8f19258b3e3b71256b93b55"><td class="mdescLeft">&#160;</td><td class="mdescRight">true if both sides are equal, false otherwise <br /></td></tr>
<tr class="separator:ab32add2ef8f19258b3e3b71256b93b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classEdgeBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classEdgeBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase&lt; idType &gt;</a></td></tr>
<tr class="memitem:afddfbce41085e49c653ba49fef0a5287 inherit pub_methods_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afddfbce41085e49c653ba49fef0a5287"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#afddfbce41085e49c653ba49fef0a5287">getNbr</a> ()</td></tr>
<tr class="memdesc:afddfbce41085e49c653ba49fef0a5287 inherit pub_methods_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the id of the neighbor node <br /></td></tr>
<tr class="separator:afddfbce41085e49c653ba49fef0a5287 inherit pub_methods_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50b88e0b1eea47f381270de3e5f5cc38 inherit pub_methods_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50b88e0b1eea47f381270de3e5f5cc38"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#a50b88e0b1eea47f381270de3e5f5cc38">setNbr</a> ()</td></tr>
<tr class="memdesc:a50b88e0b1eea47f381270de3e5f5cc38 inherit pub_methods_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">change the id of the neighbor node <br /></td></tr>
<tr class="separator:a50b88e0b1eea47f381270de3e5f5cc38 inherit pub_methods_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae503269e9d7ddb3b225500cd3741b67e inherit pub_methods_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae503269e9d7ddb3b225500cd3741b67e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#ae503269e9d7ddb3b225500cd3741b67e">operator&lt;</a> (<a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase</a>&lt; idType &gt; &amp;rhs)</td></tr>
<tr class="memdesc:ae503269e9d7ddb3b225500cd3741b67e inherit pub_methods_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator definition for edge list comparisons <br /></td></tr>
<tr class="separator:ae503269e9d7ddb3b225500cd3741b67e inherit pub_methods_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a7305434eb47acbdc121a455d083ecb99"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7305434eb47acbdc121a455d083ecb99"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdge2Sided.html#a7305434eb47acbdc121a455d083ecb99">src</a></td></tr>
<tr class="memdesc:a7305434eb47acbdc121a455d083ecb99"><td class="mdescLeft">&#160;</td><td class="mdescRight">holds the id of the source vertex <br /></td></tr>
<tr class="separator:a7305434eb47acbdc121a455d083ecb99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classEdgeBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classEdgeBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase&lt; idType &gt;</a></td></tr>
<tr class="memitem:ab72af162dc3603efcf572ff6c6cb042d inherit pro_attribs_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab72af162dc3603efcf572ff6c6cb042d"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a></td></tr>
<tr class="memdesc:ab72af162dc3603efcf572ff6c6cb042d inherit pro_attribs_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">the ID of the target/src vertex <br /></td></tr>
<tr class="separator:ab72af162dc3603efcf572ff6c6cb042d inherit pro_attribs_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classEdgeBase"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classEdgeBase')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase&lt; idType &gt;</a></td></tr>
<tr class="memitem:a2e7f7fecf9dfbd63f6ef62b77c52fd4c inherit pub_static_methods_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e7f7fecf9dfbd63f6ef62b77c52fd4c"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#a2e7f7fecf9dfbd63f6ef62b77c52fd4c">hasVal</a> ()</td></tr>
<tr class="memdesc:a2e7f7fecf9dfbd63f6ef62b77c52fd4c inherit pub_static_methods_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if the edge is weighted <br /></td></tr>
<tr class="separator:a2e7f7fecf9dfbd63f6ef62b77c52fd4c inherit pub_static_methods_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename idType = unsigned long&gt;<br />
class TIGLContainersEdge2Sided&lt; idType &gt;</h3>

<p>core edge class with information about the two sides </p>
<p>It has primitive edge information with both src and target information </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a8b91eb052d4cce7df295e9ea599b54ae"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename idType = unsigned long&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">idType <a class="el" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>&lt; idType &gt;::getSrc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>returns the id of the src vertex </p>

</div>
</div>
<a class="anchor" id="a468d9e0f1ae4095252e08da15e63836c"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename idType = unsigned long&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">idType <a class="el" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>&lt; idType &gt;::getTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>returns the id of the target vertex </p>

</div>
</div>
<a class="anchor" id="a8208f698b0018a5cf9b279c44d91627e"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename idType = unsigned long&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>&lt; idType &gt;::operator&lt; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classEdge2Sided.html">TIGLContainersEdge2Sided</a>&lt; idType &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>less than operator definition for edge list comparisons </p>
<p>It compares the ID of the source vertex, and if equal it compares the ID of the target vertex </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/src/common/containers/<a class="el" href="tiglContainersEdge2Sided_8hpp_source.html">tiglContainersEdge2Sided.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:02 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
